View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000250Ecere SDKcompilerpublic2009-10-05 20:132013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000250: OnGetString etc. working on only int and uint ?
Description   src\JSON.ec:513:7: error: member operator on non-structure type expression value.d.OnGetString

Trying to call it on a double...
Tagsv0.44d2
Attached Files

- Relationships
related to 0000452closedjerome runtime: uint32 & OnGetString ends up calling Signed Integer, serialNumber.OnGetString(rootPath, null, null); 

-  Notes
(0000773)
jerome (administrator)
2013-04-28 23:18

Fixed by https://github.com/ecere/sdk/commit/91769762a172e038c2e46a9c81ab49a8861913bb [^]

- Issue History
Date Modified Username Field Change
2009-10-05 20:13 jerome New Issue
2010-07-07 02:59 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:08 redj Relationship added child of 0000429
2010-07-26 02:44 redj Relationship added related to 0000452
2010-07-26 19:19 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:20 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2013-04-28 05:52 jerome Target Version 0.44.8 Silver => 0.44.1 64
2013-04-28 05:52 jerome Status new => assigned
2013-04-28 05:52 jerome Assigned To => jerome
2013-04-28 23:18 jerome Status assigned => resolved
2013-04-28 23:18 jerome Fixed in Version => 0.44.1 64
2013-04-28 23:18 jerome Resolution open => fixed
2013-04-28 23:18 jerome Note Added: 0000773
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker